Thanks itsmyjob!
I knew about this setting, but for some reason, I was convinced that it controlled the movement of the tree. Thanks for the assistance!
Hey guys,
I've been looking on the net for a few hours now and can't seem to find the right solution to my problem. I'm experiencing a strange issue with CATIA V5 and the Hide/Show command. Whenever I hide/show any feature, it doesn't show up as hidden on my tree. The feature toggles from...
On the window where you choose licenses, click on the "Active Server:" button. This should match the network and port # your License Server Administration Tool is on. If not, you're missing a .txt file in your root folder.
Yeah, I was going to suggest using the BOM feature to count everything. I don't really like the BOM feature in CATIA though...
@djmjr
I don't have a good answer for you at the moment. I'm working on a small piece of code for you but can't figure out one thing...
I'll post anyway as it might...
No attachment.
Also, I don't think a parameter will work the way you're intending it to. Might have to use macro instead... I'm not an expert though, someone chime in and give us some knowledge.
If you choose to go macro, you're going to get the For Next loop from 1 to the total number of...
Should just be a simple For Next loop that searches for given part name and adds 1 every time it encounters it. Then you can assign the value of the desired name and input into a text box or whatever. Can't think of the code off the top of my head, but I'll see if I can get an example for you.
We use something similar to your idea at our shop. All of our non-standard components have a "#" in the front. Our renaming macro then searches all parts for "#", then adds in the job number in front of it.
This macro has been in the company for a while, so I don't know the specifics. I can...
@ferdo
I've tried it on many different work examples, and seems to be fine now. I will be tweaking the code later on to optimize it. Any specific lines that you see causing issues?
Got the macro working now I believe... So far it is allowing me to create extracts regardless of their naming (the issue I was encountering before).
Here is the code...
'Macro for creation of "Old Revision" references - Written by: P. Kim...
To be honest, I have no idea what that parameter is trying to say to me... I got this off "Record Macro".
Would I replace the (Pad.1;1) with some variable that is set to the first face in my selected body? Just unfamiliar with the syntax.
Cheers,
EDIT: If you could actually explain that whole...
Thank you everyone for your help. I was able to revise the code to get it to work for my needs.
Here is the code for anyone else that wishes to accomplish something similar.
Sub CATMain()
Dim partDocument1
Set partDocument1 = CATIA.ActiveDocument
Dim part1
Set part1 = partDocument1.Part...
Yeah... it bothers me that we don't have a full PLM system integrated. I do know however that it is in the works for the future.
Thanks for the help/suggestions guys.
@JeniaL
We do not save the old geometry into a new file, we just embed them into a geometric set within the part file. However, I agree that we should have a separate archive for our older designs... Unfortunately, management isn't willing to deviate from our standards.
This is good, I can work with this.
I will probably ask for user input at the beginning of the macro to select the necessary bodies/surfaces (should only be ~3 bodies/surfaces).
Anyways, I will give this a shot during the week when I have some free time. Will update soon.
Thanks Drew.
Hey guys,
Quick question. Not familiar with the syntax used to break the link (isolate) of a part or surface, or extract a selected surface. Here's a little summary of what I want.
We go through a lot of revisions at our shop. Whenever an updated design comes in, we must extract all old...